Package Details: cl-ppcre 2.1.0-1

Git Clone URL: https://aur.archlinux.org/cl-ppcre.git (read-only)
Package Base: cl-ppcre
Description: Perl-compatible, portable regexp library for Common Lisp
Upstream URL: http://www.weitz.de/cl-ppcre/
Licenses: BSD
Submitter: None
Maintainer: haawda
Last Packager: haawda
Votes: 47
Popularity: 0.082398
First Submitted: 2008-01-06 20:44
Last Updated: 2018-08-07 18:41

Dependencies (2)

Required by (3)

Sources (2)

Latest Comments

1 2 3 Next › Last »

haawda commented on 2018-02-08 04:37

The URL was changed, and I now use sha256-hashsums.

sleeping commented on 2018-02-07 01:35

Updated PKGBUILD: https://bpaste.net/raw/3151ee459cdb

sleeping commented on 2018-02-07 01:18

Update source URL to https://github.com/edicl/cl-ppcre/releases

newnumbertwo commented on 2018-01-09 15:00

Build is broken:

==> Validating source files with md5sums...
     $pkgname-$pkgver.tar.gz ... FAILED
     LICENSE ... Passed
==> ERROR: One or more files did not pass the validity check!
==> ERROR: Makepkg was unable to build cl-ppcre.

parjanya commented on 2017-12-10 21:13

The tar file doesn’t seem to be there anymore. I’ve installed it today by editing the PKGBUILD to download from "https://web.archive.org/web/20170611220436/http://weitz.de/files/cl-ppcre.tar.gz" instead.

will.price94 commented on 2015-09-06 23:57

2.0.11 is out...

# Maintainer: Aaron France <aaron.l.france@gmail.com>
# Contributor: veox <cy at wre dot ath dot cx>
# Contributor: joyfulgirl <joyfulgirl (at) archlinux.us>
# Contributor: Jonathan Friedman <jonf@gojon.com>
# Contributor: Aaron France <aaron.l.france@gmail.com>
pkgname=cl-ppcre
pkgver=2.0.11
pkgrel=1
pkgdesc="Perl-compatible, portable regexp library for Common Lisp"
arch=('i686' 'x86_64')
url="http://www.weitz.de/cl-ppcre/"
license=('BSD')
depends=('common-lisp' 'cl-asdf')
md5sums=('6d5250467c05eb661a76d395186a1da0'
'c6aa01dce26b45aa916329701a448d11')
install=cl-ppcre.install
source=('http://weitz.de/files/cl-ppcre.tar.gz' 'LICENSE')
package() {
install -d ${pkgdir}/usr/share/common-lisp/source/${pkgname}
install -d ${pkgdir}/usr/share/common-lisp/systems
install -d ${pkgdir}/usr/share/licenses/${pkgname}
cd ${srcdir}/${pkgname}-${pkgver}
install -m 644 -t ${pkgdir}/usr/share/common-lisp/source/${pkgname} \
${srcdir}/${pkgname}-${pkgver}/*.lisp
install -m 644 -t ${pkgdir}/usr/share/common-lisp/source/${pkgname} \
${srcdir}/${pkgname}-${pkgver}/*.asd
install -m 644 ${srcdir}/LICENSE \
${pkgdir}/usr/share/licenses/${pkgname}
cd ${pkgdir}/usr/share/common-lisp/systems
ln -s ../source/${pkgname}/${pkgname}.asd .
ln -s ../source/${pkgname}/${pkgname}-unicode.asd .
}
# vim:set ts=2 sw=4 et nospell:

haawda commented on 2015-08-09 08:08

done

shadowcreator commented on 2015-08-09 07:52

Any plan's on moving this to AUR4? If no one wants to I can.

haawda commented on 2015-06-02 21:04

2.0.10 is out. The version-less tarball this PKGBUILD downloads, is unpacked to cl-ppcre-2.0.10.

abigguyforyou commented on 2015-06-02 19:26

==> ERROR: One or more files did not pass the validity check!
==> ERROR: Makepkg was unable to build cl-ppcre.

Looks like a checksum is failing...